Bug 80520 - httpd refuses to start - logs a [crit] level message in the log file
httpd refuses to start - logs a [crit] level message in the log file
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: httpd (Show other bugs)
8.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-27 11:00 EST by Michael Lee Yohe
Modified: 2007-04-18 12:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-30 10:12:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Lee Yohe 2002-12-27 11:00:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Upon a system crash (due to power and UPS failure), Apache has been "quirky". 
Upon shutting down the httpd process (via # /etc/init.d/httpd stop) - SIGTERM
was sent to the child processes since they would not exit cleanly.

Now, when I attempt to start the web server I receive the following entry in
error_log:

[crit] (17)File exists: unable to create scoreboard (name-based shared memory
failure)

Upon this happening - the web server main process dies.  I am about to restart
the server to see if that clears up the problem.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. see description
2.
3.
    

Actual Results:  see description

Expected Results:  Apache should have started with no error messages in the log.
 It would also be nice if the error message attempted to explain what was going
on ("file exists" does not specify which file exists) and how to work around the
problem.

Additional info:

$ rpm -q httpd
httpd-2.0.40-13
Comment 1 Joe Orton 2003-01-02 10:00:16 EST
There are some known problems about httpd startup after power failure (e.g. bug
78019) though you shouldn't see that particular error message in the default
configuration; are you using the "ScoreboardFile" directive in httpd.conf?
Comment 2 Michael Lee Yohe 2003-01-02 11:23:37 EST
Yes - though this file is largely default (I haven't touched the scoreboardfile
directive myself).

ScoreBoardFile "/var/run/httpd.scoreboard"
Comment 3 Joe Orton 2003-01-03 06:59:22 EST
You can just comment out the ScoreboardFile directive normally.
Comment 4 Need Real Name 2003-01-10 06:09:04 EST
I get this if I stop httpd normally;
1. Reboot
2. Check apache is running
3. service httpd stop
4. Check apache has stopped
5. service httpd start
apache "starts" but dies
6. service httpd status
not running!
Same message as reported in the error log.
It't won't start again unless I change the scoreboard filename.

Note: I never set the scoreboard file, if it wasn't set in the supplied config 
file then it must have been set by redhat-httpd-config which I tried
Comment 5 Matthew J. Mellon 2003-06-07 14:12:16 EDT
Can also relicate every time on my machine -
sudo service httpd restart
- always - leads to a bunch of SIGTERMS being sent to the running processes
and then I get that damn scoreboard error.
Comment 6 Matthew J. Mellon 2003-06-07 14:13:46 EDT
I, of course, meant "replicate" and "darn".

I am running RHL 8.0 with httpd-2.0.40-11.5 on an i686.
Comment 7 Joe Orton 2003-06-07 17:19:49 EDT
You should remove the ScoreboardFile directive from your httpd.conf.
Comment 8 Joe Orton 2003-07-30 10:12:27 EDT
This is not really a bug: if you configure a ScoreBoardFile directive then the
server will not start up after an unclean shutdown.  The solution is to not
configure a ScoreBoardFile directive.

Note You need to log in before you can comment on or make changes to this bug.